Skip to main content

FireMon Cloud REST API (1.0.0)

Download OpenAPI specification:Download

/authenticate

Authenticate, exchanging credentials for a JWT token. The resulting token can be used in the Authorization header of other requests.

Authorizations:
idToken
Request Body schema: application/json
required
password
required
string
username
required
string

Responses

Request samples

Content type
application/json
{
  • "password": "string",
  • "username": "string"
}

Response samples

Content type
application/json
{
  • "expiration": 0,
  • "idToken": "string",
  • "refreshToken": "string"
}

/change-requests

Get a page of Change Requests.

Authorizations:
idToken
query Parameters
limit
integer
nextPageKey
string

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "pageInfo": {
    }
}

/change-requests

Save a Change Request and start the asynchronous process of evaluation against all enforced Boundaries. If ID is specified, and a change request exists with that ID, the change request will be updated. Otherwise a new change request will be created.

Authorizations:
idToken
Request Body schema: application/json
required
required
object (ChangeRequestInput)
id
required
string
name
required
string
projectId
required
string
required
Array of objects (ChangeRequestRuleInput)

Responses

Request samples

Content type
application/json
{
  • "input": {
    }
}

Response samples

Content type
application/json
{
  • "createdAt": "string",
  • "createdBy": "string",
  • "id": "string",
  • "name": "string",
  • "parentPath": "string",
  • "projectId": "string",
  • "results": [
    ],
  • "rules": [
    ],
  • "score": 0,
  • "state": "Error",
  • "stateReason": "string",
  • "updatedAt": "string",
  • "updatedBy": "string"
}

/change-requests/{id}

Get a single Change Request by its ID.

Authorizations:
idToken
path Parameters
id
required
string

Responses

Response samples

Content type
application/json
{
  • "createdAt": "string",
  • "createdBy": "string",
  • "id": "string",
  • "name": "string",
  • "parentPath": "string",
  • "projectId": "string",
  • "results": [
    ],
  • "rules": [
    ],
  • "score": 0,
  • "state": "Error",
  • "stateReason": "string",
  • "updatedAt": "string",
  • "updatedBy": "string"
}

/change-requests/{id}

Delete a Change Request by ID. Returns the deleted request's ID.

Authorizations:
idToken
path Parameters
id
required
string

Responses

Response samples

Content type
application/json
"string"

/change-requests/evaluate

Evaluate a draft Change Request against boundaries without persisting it. Read-only: does not save results, increment boundary use counts, or export to integrations. Used for interactive evaluation while a request is being edited.

Authorizations:
idToken
Request Body schema: application/json
required
required
object (ChangeRequestInput)
id
required
string
name
required
string
projectId
required
string
required
Array of objects (ChangeRequestRuleInput)

Responses

Request samples

Content type
application/json
{
  • "input": {
    }
}

Response samples

Content type
application/json
{
  • "results": [
    ],
  • "score": 0,
  • "state": "Error",
  • "stateReason": "string"
}

/connect-lists

Authorizations:
idToken
query Parameters
limit
integer
nextPageKey
string

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "pageInfo": {
    }
}

/connect-lists/{id}

Authorizations:
idToken
path Parameters
id
required
string

Responses

Response samples

Content type
application/json
{
  • "accountId": {
    },
  • "alertWindow": 0,
  • "checkId": {
    },
  • "checkResult": {
    },
  • "cidr": {
    },
  • "cidrCount": 0,
  • "countsTruncated": true,
  • "createdAt": "string",
  • "createdBy": "string",
  • "description": "string",
  • "environment": {
    },
  • "formats": [
    ],
  • "id": "string",
  • "jsonPath": {
    },
  • "memberCount": 0,
  • "name": "string",
  • "parentPath": "string",
  • "parentProjectId": "string",
  • "platforms": [
    ],
  • "projectId": {
    },
  • "readAt": "string",
  • "readCount": 0,
  • "region": {
    },
  • "severity": {
    },
  • "tags": {
    },
  • "type": {
    },
  • "updateType": "Automatic",
  • "updatedAt": "string",
  • "updatedBy": "string",
  • "vendor": {
    },
  • "vpcId": {
    }
}

/inventory

Get a page of Inventory search results.

Authorizations:
idToken
query Parameters
from
integer

The number from which result items should start, used to page through results. For example: to get the first page of 10 items, from should be 0 and size should be 10. To get the second page, from should be 10 and size should be 10.

query
string

Search query in the form field:value or field:"value"

Any of the top-level InventoryItem fields can be included in the query.

Multiple fields can be combined:

  • field1:value AND field2:value
  • field1:value OR field1:value

You can also perform full-text search by not specifying a field.

Examples:

  • test AND (region:"us-west-1" OR region:"us-west-2")
    • search for items with the text test and region field value of us-west-1 or us-west-2
  • region:"us-west-1" OR region:"us-west-2"
  • cloudAccountId:123456789012 AND region:"us-east-1"
  • ip:"10.0.0.0/8"
    • search for items with an IP address within the specified CIDR

Lucene query documentation

size
integer

The number of items to include in the response.

sort
string

Sort the search results by the specified InventoryItem field: cloudAccountId, cloudAccountName, name, region, type, etc.

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "pageInfo": {
    }
}

/inventory/item

Get a single inventory item by its accountId, region, type, and ID.

Authorizations:
idToken
Request Body schema: application/json
required
accountId
required
string
id
required
string
region
required
string
type
required
string

Responses

Request samples

Content type
application/json
{
  • "accountId": "string",
  • "id": "string",
  • "region": "string",
  • "type": "string"
}

Response samples

Content type
application/json
{
  • "accountId": "string",
  • "altId": "string",
  • "clientId": "string",
  • "cloudAccountEnv": "string",
  • "cloudAccountId": "string",
  • "cloudAccountLabels": [
    ],
  • "cloudAccountName": "string",
  • "eventId": "string",
  • "eventIdentity": {
    },
  • "hitCount": 0,
  • "hostname": "string",
  • "id": "string",
  • "integration": "string",
  • "ip": [
    ],
  • "ipRange": [
    ],
  • "ips": [
    ],
  • "item": "string",
  • "lastHitAt": "string",
  • "lastSeenAt": "string",
  • "macAddress": "string",
  • "name": "string",
  • "parentPath": "string",
  • "region": "string",
  • "source": "string",
  • "tags": [
    ],
  • "type": "string",
  • "typeName": "string",
  • "updatedAt": "string",
  • "vendor": "string"
}

/inventory/items

Save inventory items discovered by an external discoverer (Connector).

Authorizations:
idToken
Request Body schema: application/json
required
accountId
required
string
discoveryStartedAt
required
string
required
Array of objects (InventoryItemInput)

Responses

Request samples

Content type
application/json
{
  • "accountId": "string",
  • "discoveryStartedAt": "string",
  • "items": [
    ]
}

Response samples

Content type
application/json
0
0

/inventory/items/cleanup

Cleanup (delete) any inventory items not discovered by an external discoverer (Connector).

Authorizations:
idToken
Request Body schema: application/json
required
accountId
required
string
discoveryStartedAt
required
string
region
string

Responses

Request samples

Content type
application/json
{
  • "accountId": "string",
  • "discoveryStartedAt": "string",
  • "region": "string"
}

Response samples

Content type
application/json
true

/inventory/type-names

Get a list of all types & names supported by inventory.

Authorizations:
idToken

Responses

Response samples

Content type
application/json
[
  • {
    }
]